Page MenuHomePhabricator

Partially blocked admins should be able to access Special:Block
Closed, ResolvedPublic

Description

If an admin is partially blocked they cannot access Special:Block to modify their own block — or to block another user. However, they can access Special:Unblock and unblock themselves.

Acceptance criteria

  • If an admin is partially blocked, allow them to fully use Special:Block on any user/IP/range.

Event Timeline

Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptNov 7 2018, 5:35 PM

If we want to make it so a PB'd user cannot modify their partial block we should open another ticket.

TBolliger triaged this task as Low priority.Nov 7 2018, 5:45 PM
TBolliger moved this task from Backlog to User blocking on the MediaWiki-User-management board.
SPoore added a subscriber: SPoore.EditedNov 7 2018, 6:43 PM

@Trevor, agree that this ticket should not do the big change of stopping admin from unblocking their own account. And also the PB can not modify belong in another ticket, too.

This ticket is only for allowing admin who have a partial block to be able to do partially and full block for other users.

Confirmed still incorrect behavior on test wiki today

TBolliger lowered the priority of this task from Low to Lowest.Jan 30 2019, 10:12 PM
TBolliger removed a project: Anti-Harassment.

May be solved by T209097

This is bug still appears to be present (tested today on beta MediaWiki 1.33.0-alpha (3821a2b) 11:26, 1 April 2019).

Izno updated the task description. (Show Details)Jan 13 2020, 5:01 PM
Izno removed a subscriber: TBolliger.

I have removed the reference to "including themselves" per the other work to remove self-unblocks generally.

Mz7 added a subscriber: Mz7.Jan 13 2020, 9:29 PM

Notes from duplicate:

Currently, if a user that has access to block is partially blocked in any way, including with an empty block (T208645) - they are blocked from using Special:Block.

This behavior should only apply to users that are site-blocked, or that in the future could have an action block (i.e. if T242541 is adopted) against blocking.

Regarding the unblockself - this is being stopped at least on WMF wikis.

Change 584911 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Allow partially blocked admins to block users

https://gerrit.wikimedia.org/r/584911

Ammarpad claimed this task.Apr 1 2020, 9:01 PM

Change 584911 merged by jenkins-bot:
[mediawiki/core@master] Allow partially blocked admins to block users

https://gerrit.wikimedia.org/r/584911

This is bug still appears to be present (tested today on beta MediaWiki 1.33.0-alpha (3821a2b) 11:26, 1 April 2019).

@dom_walden, this is now fixed in d8786ebf7d5e.

Ammarpad closed this task as Resolved.Apr 11 2020, 7:45 AM